Index: /trunk/phpgwapi/js/expressoAjax/dom.js
===================================================================
--- /trunk/phpgwapi/js/expressoAjax/dom.js	(revision 2973)
+++ /trunk/phpgwapi/js/expressoAjax/dom.js	(revision 3044)
@@ -256,9 +256,9 @@
 	but.style.position = "absolute";
 	but.style.top = "5px";
-	but.style.left = "2px";
+	but.style.left = "5px";
 	title = get_lang('hide_bar_txt');
 	extra = document.getElementById("extraButton");
 	extra.style.visibility = "hidden";
-	but.innerHTML='<a title="' +title + '" onClick="javascript:changeBar()"><img src="' + URL_SERVER + 'phpgwapi/templates/default/images/up.button.png"></a>';
+	but.innerHTML='<a title="' +title + '" onClick="javascript:changeBar()"><img alt="'+get_lang('hide details')+'" src="' + URL_SERVER + 'phpgwapi/templates/default/images/up.button.png" /></a>';
 	var neverExpires = new Date("January 01, 2100 00:00:00");
 	document.cookie = "showHeader=true"+
@@ -276,6 +276,6 @@
 	extra = document.getElementById("extraButton");
 	extra.style.visibility = "";
-	extra.style.top = "-7px";
-	extra.style.left = "-7px";
+	extra.style.top = "7px";
+	extra.style.left = "7px";
 	var neverExpires = new Date("January 01, 2100 00:00:00");
 	document.cookie = "showHeader=false"+
Index: /trunk/phpgwapi/templates/default/css/azul.css
===================================================================
--- /trunk/phpgwapi/templates/default/css/azul.css	(revision 2993)
+++ /trunk/phpgwapi/templates/default/css/azul.css	(revision 3044)
@@ -153,5 +153,5 @@
 .logo_expresso
 {
-	background: url( ../../../../phpgwapi/templates/default/images/logo_expresso.jpg ) no-repeat 0 3px;
+	background: url( ../../../../phpgwapi/templates/default/images/logo_expresso.jpg ) no-repeat 0 2px;
 }
 
@@ -175,7 +175,14 @@
 }
 
+.navbar_but,
+.navbar_butOver,
+.navbar_butOut{
+	padding: 0 2px 0 2px;
+}
+
+
 .navbar_but
 {
-	background-image: url(../../../../phpgwapi/templates/default/images/back_app.png);
+	background: url(../../../../phpgwapi/templates/default/images/back_app.png) no-repeat 0px;
 }
 
@@ -220,5 +227,5 @@
 
 .table_message{
-	background:transparent url(../../../phpgwapi/templates/default/images/fundo_topo.png) repeat scroll 0 25px;
+	background:transparent url(../../../phpgwapi/templates/default/images/fundo_topo.png) repeat scroll 0 23px;
 }
 
Index: /trunk/phpgwapi/templates/default/navbar.tpl
===================================================================
--- /trunk/phpgwapi/templates/default/navbar.tpl	(revision 2991)
+++ /trunk/phpgwapi/templates/default/navbar.tpl	(revision 3044)
@@ -2,49 +2,39 @@
 		<div align="center" id="hiddenButton" style="position:absolute"></div>
 		<div align="center" id="extraButton" style="position:absolute">
-			<table>
-				<tr>
-					{app_extra_icons_icon}
-				</tr>
-			</table>
+		{app_extra_icons_icon}
 		</div>
 		{app_extra_icons_div}
-		<div class="toolbar" id="toolbar" style="visibility:hidden">
-			<div id ="divStatusBar">
-				<table width="100%" border="0" cellspacing="0" cellpadding="0">
-					<tr>
-						<td width="30%" align="left" id="user_info" nowrap="nowrap">{user_info}{frontend_name}</td>
-						<td width="30%" id="admin_info" nowrap="nowrap">{current_users}</td>
-						<td style="padding-right:10px" width="*" align="right" valign="middle" nowrap="nowrap">
-							<a href="{dir_root}/preferences/" title="{title_my_preferences}" cacheit="true" onmouseover="javascript:self.status='{title_my_preferences}'" onmouseout="javascript:self.status=''">
-								<img  alt="{title_my_preferences}" style="height:15px" src="{dir_root}/phpgwapi/templates/{template}/images/preferences.png" />
-								<font class="links_bar">{my_preferences}</font>
-							</a>
-							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-							<a href="javascript:openWindow(400,550,'{dir_root}/help/enviasugestao.php')" title="{title_suggestions}" onmouseover="javascript:self.status='{title_suggestions}'" onmouseout="javascript:self.status=''">
-								<img  alt="{title_suggestions}" src="{dir_root}/phpgwapi/templates/{template}/images/critic.png" />
-								<font class="links_bar">{suggestions}</font>
-							</a>
-							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-							<a href="javascript:openWindow(480,510,'{dir_root}/help')" title="{title_help}" onmouseover="javascript:self.status='{title_help}'" onmouseout="javascript:self.status=''">
-								<img alt="{title_help}" src="{dir_root}/phpgwapi/templates/{template}/images/help.png" width="16px" />
-								<font class="links_bar">{help}</font>
-							</a>
-						</td>
-					</tr>
-				</table>
-			</div>
-			<table border="0" style="height:50px" width="100%" cellpadding="0" cellspacing="0">
-				<tr>
-					<td class="logo_expresso">&nbsp;<br/></td>
-					<td align="center">
+		<table class="toolbar" id="toolbar" style="visibility:hidden; height: 73px;" width="100%" border="0" cellspacing="0" cellpadding="0">
+			<tr>
+				<td width="30%" align="left" id="user_info" nowrap="nowrap">{user_info}{frontend_name}</td>
+				<td width="30%" id="admin_info" nowrap="nowrap">{current_users}</td>
+				<td style="padding-right:10px" width="*" align="right" valign="middle" nowrap="nowrap">
+					<a href="{dir_root}/preferences/" title="{title_my_preferences}" cacheit="true" onmouseover="javascript:self.status='{title_my_preferences}'" onmouseout="javascript:self.status=''">
+					<img  alt="{title_my_preferences}" style="height:15px" src="{dir_root}/phpgwapi/templates/{template}/images/preferences.png" />
+					<font class="links_bar">{my_preferences}</font>
+					</a>
+						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+					<a href="javascript:openWindow(400,550,'{dir_root}/help/enviasugestao.php')" title="{title_suggestions}" onmouseover="javascript:self.status='{title_suggestions}'" onmouseout="javascript:self.status=''">
+					<img  alt="{title_suggestions}" src="{dir_root}/phpgwapi/templates/{template}/images/critic.png" />
+					<font class="links_bar">{suggestions}</font>
+					</a>
+						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+					<a href="javascript:openWindow(480,510,'{dir_root}/help')" title="{title_help}" onmouseover="javascript:self.status='{title_help}'" onmouseout="javascript:self.status=''">
+					<img alt="{title_help}" src="{dir_root}/phpgwapi/templates/{template}/images/help.png" width="16px" />
+					<font class="links_bar">{help}</font>
+					</a>
+				</td>
+			</tr>
+			<tr>
+				<td class="logo_expresso">&nbsp;<br/></td>
+				<td>
 						<table id="app_icons" width="auto" border="0" cellpadding="0" cellspacing="0">
-							<tr>{app_icons}
-							</tr>
-						</table>
-					</td>
-					<td style="padding-left:0px;padding-right:25px" align="right" nowrap="nowrap"></td>
-				</tr>
-			</table>
-		</div>
+						<tr>{app_icons}
+						</tr>
+					</table>
+				</td>
+				<td style="padding-left:0px; padding-right:25px" align="right" nowrap="nowrap"></td>
+			</tr>
+		</table>
 <!-- END navbar_header -->
 
@@ -97,37 +87,31 @@
 						<div id="divAppboxHeader">{current_app_title}</div>
 						<div id="divAppbox" class="divAppbox">
-							<table id="tableDivAppbox" width="98%" cellpadding="0" cellspacing="0">
-								<tr>
-									<td>
 <!-- END navbar_footer -->
-
 <!-- BEGIN extra_blocks_header -->
-								<div class="divSidebox">
-									<div class="divSideboxHeader"><span>{lang_title}</span></div>
-									<div>
-										<table width="100%" cellspacing="0" cellpadding="0" border="0">
+							<div class="divSidebox">
+								<div class="divSideboxHeader">{lang_title}</div>
+									<table width="100%" cellspacing="0" cellpadding="0" border="0">
 <!-- END extra_blocks_header -->
 
 <!-- BEGIN extra_block_row -->
-											<tr class="divSideboxEntry">
-												<td width="15" align="center" valign="middle" class="textSidebox">
-													{icon_or_star}
-												</td>
-												<td class="textSidebox">
-													<a class="textSidebox" href="{item_link}"{target}>{lang_item}</a>
-												</td>
-											</tr>
+									<tr class="divSideboxEntry">
+										<td width="15" align="center" valign="middle" class="textSidebox">
+											{icon_or_star}
+										</td>
+										<td class="textSidebox">
+											<a class="textSidebox" href="{item_link}"{target}>{lang_item}</a>
+										</td>
+									</tr>
 <!-- END extra_block_row -->
 
 <!-- BEGIN extra_block_spacer -->
-											<tr class="divSideboxEntry">
-												<td colspan="2" style="height:8" class="textSidebox">&nbsp;</td>
-											</tr>
+									<tr class="divSideboxEntry">
+										<td colspan="2" style="height:8" class="textSidebox">&nbsp;</td>
+									</tr>
 <!-- END extra_block_spacer -->
 
 <!-- BEGIN extra_blocks_footer -->
-										</table>
-									</div>
-								</div>
-								<div class="sideboxSpace"></div>
+									</table>
+							</div>
+						<div class="sideboxSpace"></div>
 <!-- END extra_blocks_footer -->