Index: /trunk/doc-expressolivre/debian/arqs-conf/expresso.dump
===================================================================
--- /trunk/doc-expressolivre/debian/arqs-conf/expresso.dump	(revision 2327)
+++ /trunk/doc-expressolivre/debian/arqs-conf/expresso.dump	(revision 3047)
@@ -1298,8 +1298,5 @@
     manager character varying(50) NOT NULL,
     action character varying(255) NOT NULL,
-    userinfo character varying(255) NOT NULL,
-    groupinfo character varying(255) NOT NULL,
-    appinfo character varying(255) NOT NULL,
-    msg character varying(255) NOT NULL
+    userinfo character varying(255) NOT NULL
 );
 
@@ -12313,5 +12310,5 @@
 --
 
-COPY phpgw_expressoadmin_log (date, manager, action, userinfo, groupinfo, appinfo, msg) FROM stdin;
+COPY phpgw_expressoadmin_log (date, manager, action, userinfo) FROM stdin;
 \.
 
Index: /trunk/expressoAdmin1_2/setup/tables_update.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/setup/tables_update.inc.php	(revision 1836)
+++ /trunk/expressoAdmin1_2/setup/tables_update.inc.php	(revision 3047)
@@ -8,57 +8,5 @@
 	* Free Software Foundation; either version 2 of the License, or (at your   *
 	* option) any later version.                                               *
-	\**************************************************************************/	
-	$test[] = '1.2';
-	function expressoAdmin1_2_upgrade1_2()
-	{
-		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '1.21';
-		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
-	}
-	
-	$test[] = '1.21';
-	function expressoAdmin1_2_upgrade1_21()
-	{
-		$oProc = $GLOBALS['phpgw_setup']->oProc;
-
-		$oProc->CreateTable(
-			'phpgw_expressoadmin_samba', array(
-				'fd' => array(
-					'samba_domain_name' => array( 'type' => 'varchar', 'precision' => 50),
-					'samba_domain_sid' => array( 'type' => 'varchar', 'precision' => 100)
-				),
-				'pk' => array('samba_domain_name'),
-				'fk' => array(),
-				'ix' => array(),
-				'uc' => array()
-			)
-		);
-		
-		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '1.240';
-		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
-	}
-
-	$test[] = '1.240';
-	function expressoAdmin1_2_upgrade1_240()
-	{
-		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '1.250';
-		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
-	}
-	
-	$test[] = '1.250';
-	function expressoAdmin1_2_upgrade1_250()
-	{
-		$GLOBALS['phpgw_setup']->oProc->DropColumn('phpgw_expressoadmin_log','','appinfo');
-		$GLOBALS['phpgw_setup']->oProc->DropColumn('phpgw_expressoadmin_log','','groupinfo');
-		$GLOBALS['phpgw_setup']->oProc->DropColumn('phpgw_expressoadmin_log','','msg');
-		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '1.261';
-		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
-	}
-	
-	$test[] = '1.261';
-	function expressoAdmin1_2_upgrade1_261()
-	{
-		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.0.000';
-		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
-	}
+	\**************************************************************************/
 	$test[] = '2.0.000';
 	function expressoAdmin1_2_upgrade2_0_000()
@@ -70,5 +18,38 @@
 	function expressoAdmin1_2_upgrade2_0_001()
 	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.0.002';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
+	$test[] = '2.0.002';
+	function expressoAdmin1_2_upgrade2_0_002()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.0.003';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
+	$test[] = '2.0.003';
+	function expressoAdmin1_2_upgrade2_0_003()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.0.004';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
+	$test[] = '2.0.004';
+	function expressoAdmin1_2_upgrade2_0_004()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.0.005';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
+	$test[] = '2.0.005';
+	function expressoAdmin1_2_upgrade2_0_005()
+	{
+		$GLOBALS['phpgw_setup']->db->query("alter table phpgw_expressoadmin_log drop groupinfo");
+		$GLOBALS['phpgw_setup']->db->query("alter table phpgw_expressoadmin_log drop appinfo");
+		$GLOBALS['phpgw_setup']->db->query("alter table phpgw_expressoadmin_log drop msg");
 		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.1.000';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
+	$test[] = '2.1.000';
+	function expressoAdmin1_2_upgrade2_1_000()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.2.000';
 		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
 	}
Index: /trunk/expressoAdmin1_2/setup/setup.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/setup/setup.inc.php	(revision 2189)
+++ /trunk/expressoAdmin1_2/setup/setup.inc.php	(revision 3047)
@@ -13,5 +13,5 @@
 	$setup_info['expressoAdmin1_2']['title']     	= 'Expresso Admin';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['expressoAdmin1_2']['version']   	= '2.1.000';
+	$setup_info['expressoAdmin1_2']['version']   	= '2.2.000';
 	$setup_info['expressoAdmin1_2']['app_order']	= 1;
 	$setup_info['expressoAdmin1_2']['tables'][]		= 'phpgw_expressoadmin';