Index: trunk/jabberit_messenger/setup/setup.inc.php
===================================================================
--- trunk/jabberit_messenger/setup/setup.inc.php	(revision 2189)
+++ trunk/jabberit_messenger/setup/setup.inc.php	(revision 3059)
@@ -8,5 +8,5 @@
 	$setup_info['jabberit_messenger']['name']      	= 'jabberit_messenger';
 	$setup_info['jabberit_messenger']['title']     	= 'Jeti Applet';
-	$setup_info['jabberit_messenger']['version']   	= '2.1.000';
+	$setup_info['jabberit_messenger']['version']   	= '2.2.000';
 	$setup_info['jabberit_messenger']['app_order'] 	= 9;
 	$setup_info['jabberit_messenger']['enable']    	= 1;
Index: trunk/jabberit_messenger/jmessenger/xsl/contactsList.xsl
===================================================================
--- trunk/jabberit_messenger/jmessenger/xsl/contactsList.xsl	(revision 3013)
+++ trunk/jabberit_messenger/jmessenger/xsl/contactsList.xsl	(revision 3059)
@@ -24,5 +24,5 @@
 				
 				<img style="height:16px; margin-left:10px;cursor:pointer;" alt="Help" title="Help" src="{$path_jabberit}templates/default/images/help.png" onclick="javascript:openWindow(480,510,'{$help_expresso}');" />
-			
+				
 			</div>
 			
Index: trunk/jabberit_messenger/jmessenger/xsl/listRooms.xsl
===================================================================
--- trunk/jabberit_messenger/jmessenger/xsl/listRooms.xsl	(revision 3059)
+++ trunk/jabberit_messenger/jmessenger/xsl/listRooms.xsl	(revision 3059)
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="utf-8"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+	<xsl:output method="html" omit-xml-declaration="yes"/>
+
+	<xsl:template match="child::*">
+		<xsl:for-each select="descendant::*">
+			<xsl:if test="name( ) = 'item'">
+				:: <xsl:value-of select="name( )" /> - <xsl:value-of select="@jid" /> ::<br/>
+			</xsl:if>
+		</xsl:for-each>
+	</xsl:template>
+
+
+</xsl:stylesheet>
Index: trunk/jabberit_messenger/jmessenger/js/trophyim.js
===================================================================
--- trunk/jabberit_messenger/jmessenger/js/trophyim.js	(revision 3013)
+++ trunk/jabberit_messenger/jmessenger/js/trophyim.js	(revision 3059)
@@ -1051,4 +1051,107 @@
     		}
     	},500);
+    },
+    
+    testeSala : function()
+    {
+    	var deu_certo = function(element)
+    	{
+    		element = element.getElementsByTagName( 'item' );
+    		var _rooms = 0;
+    		var _list = document.createElement( 'ul' );
+    		
+    		function show( )
+    		{
+    			if ( _rooms != element.length )
+    				return false;
+
+    			var winTeste =
+        		{	
+        			 id_window		: "window_Teste",
+        			 width			: 400,
+        			 height			: 300,
+        			 top			: 100,
+        			 left			: 400,
+        			 draggable		: true,
+        			 visible		: "display",
+        			 resizable		: true,
+        			 zindex			: loadscript.getZIndex(),
+        			 title			: "Expresso Messenger - Salas de Bate Papo",
+        			 closeAction	: "remove",
+        			 content		: '<ul>' + _list.innerHTML + '</ul>'
+        		};
+    			
+    			_winBuild( winTeste );
+    		}
+
+    		function _add_room( _room )
+        	{
+    			_rooms++;
+    			
+    			var _desc = _room.getAttribute( 'from' );
+    			
+    			var _fields = _room.getElementsByTagName( 'field' );
+    			for ( var f = 0; f < _fields.length; f++ )
+    				if ( ! ( _fields[ f ].hasAttribute( 'type' ) && _fields[ f ].getAttribute( 'type' ) == 'hidden' ) )
+    					if ( _fields[ f ].hasAttribute( 'label' ) && _fields[ f ].firstChild.hasChildNodes( ) )
+    						_desc += ' :: ' + _fields[ f ].getAttribute( 'label' ) + '( ' + _fields[ f ].firstChild.firstChild.nodeValue + ')'; 
+    		
+    			_list.appendChild(
+    				document.createElement( 'li' )
+    			).appendChild(
+    				document.createTextNode( _desc )
+    			);
+    			
+    			show( );
+        	}
+    		
+    		function _get_room_info( _room )
+    		{
+	    		TrophyIM.connection.sendIQ(
+	    				$iq( { "to" : _room, "type" : "get" } ).c( "query",{xmlns: Strophe.NS.DISCO_INFO } ),
+	    				_add_room,
+			        	function( a )
+			        	{
+			        		_rooms++;
+			        	
+			        		show( );
+			        	},
+			        	500
+			        );
+    		}
+
+    		for ( var i = 0; i < element.length; i++ )
+    			_get_room_info( element[ i ].getAttribute( 'jid' ) );
+    		
+    		/*
+    		var winTeste =
+    		{	
+    			 id_window		: "window_Teste",
+    			 width			: 400,
+    			 height			: 300,
+    			 top			: 100,
+    			 left			: 400,
+    			 draggable		: true,
+    			 visible		: "display",
+    			 resizable		: true,
+    			 zindex			: loadscript.getZIndex(),
+    			 title			: "Expresso Messenger - Salas de Bate Papo",
+    			 closeAction	: "remove",
+    			 content		: ( new xtools( path_jabberit ) ).parse( element, "listRooms.xsl")
+    		};*/
+
+			 //loadscript.parse("group","groups.xsl", paramsGroup);
+    	};
+    	
+    	var deu_errado = function(element)
+    	{
+    		alert( "DEU ERRADO  " + element );
+    	};
+    	
+    	var jid = "alexandrecorreia@im.pr.gov.br/OI";
+    	
+   		var iq = $iq({to: "conference.im.pr.gov.br", type: "get"}).c("query",{xmlns: Strophe.NS.DISCO_ITEMS});    		
+    		
+    	TrophyIM.connection.sendIQ( iq, deu_certo, deu_errado, 500 );   		
     },
     
Index: trunk/jabberit_messenger/jmessenger/js/jscode/loadIM.js
===================================================================
--- trunk/jabberit_messenger/jmessenger/js/jscode/loadIM.js	(revision 3013)
+++ trunk/jabberit_messenger/jmessenger/js/jscode/loadIM.js	(revision 3059)
@@ -345,4 +345,5 @@
 			                	['Adicionar Contato', 'loadscript.addContact();' ],
 			                	['Preferências', 'loadscript.preferences();'],
+			                	['Sala(s) de Bate-Papo', 'loadscript.teste();'],
 						   ];
 
@@ -1249,4 +1250,13 @@
 	}
 
+	function teste()
+	{
+		TrophyIM.testeSala();
+		
+	}
+	
+	loadIM.prototype.teste = teste;
+	
+	
 	function loadIM()
 	{