Index: sandbox/workflow/trunk/inc/local/classes/class.wf_engine.php
===================================================================
--- sandbox/workflow/trunk/inc/local/classes/class.wf_engine.php	(revision 2858)
+++ sandbox/workflow/trunk/inc/local/classes/class.wf_engine.php	(revision 3060)
@@ -86,8 +86,9 @@
 	* @return bool true caso a instância tenha sido continuada e false caso contrário.
 	* @access public
-	* @deprecated 1.7.00.000
+	* @deprecated 2.2.00.000
 	*/
 	function continueInstance($activityID, $instanceID)
 	{
+		wf_warn_deprecated_method('wf_instance', 'continueInstance');
 		$WFInstance = &Factory::getInstance('wf_instance');
 		return $WFInstance->continueInstance($activityID, $instanceID);
@@ -99,8 +100,9 @@
 	* @return boolean true se foi possível abortar a instância e false caso contrário.
 	* @access public
-	* @deprecated 1.7.00.000
+	* @deprecated 2.2.00.000
 	*/
 	function abortInstance($instanceID)
 	{
+		wf_warn_deprecated_method('wf_instance', 'abort');
 		$WFInstance = &Factory::getInstance('wf_instance');
 		return $WFInstance->abort($instanceID);
@@ -113,8 +115,9 @@
 	* @return boolean true se foi possível mudar o nome da instância e false caso contrário.
 	* @access public
-	* @deprecated 1.7.00.000
+	* @deprecated 2.2.00.000
 	*/
 	function setInstanceName($instanceID, $name)
 	{
+		wf_warn_deprecated_method('wf_instance', 'setName');
 		$WFInstance = &Factory::getInstance('wf_instance');
 		return $WFInstance->setName($instanceID, $name);
@@ -127,8 +130,9 @@
 	* @return boolean true se foi possível mudar a prioridade da instância e false caso contrário.
 	* @access public
-	* @deprecated 1.7.00.000
+	* @deprecated 2.2.00.000
 	*/
 	function setInstancePriority($instanceID, $priority)
 	{
+		wf_warn_deprecated_method('wf_instance', 'setPriority');
 		$WFInstance = &Factory::getInstance('wf_instance');
 		return $WFInstance->setPriority($instanceID, $priority);
@@ -141,8 +145,9 @@
 	* @return array As instâncias que satisfazem o critério de seleção.
 	* @access public
-	* @deprecated 1.7.00.000
+	* @deprecated 2.2.00.000
 	*/
 	function getIdleInstances($numberOfDays, $activities = null)
 	{
+		wf_warn_deprecated_method('wf_instance', 'getIdle');
 		$WFInstance = &Factory::getInstance('wf_instance');
 		return $WFInstance->getIdle($numberOfDays, $activities);
@@ -154,8 +159,9 @@
 	* @return array As instâncias que satisfazem o critério de seleção.
 	* @access public
-	* @deprecated 1.7.00.000
+	* @deprecated 2.2.00.000
 	*/
 	function getInstances($activities = null)
 	{
+		wf_warn_deprecated_method('wf_instance', 'getIdle');
 		return $this->getIdleInstances(0, $activities);
 	}
@@ -166,8 +172,9 @@
 	* @return array As instâncias que satisfazem o critério de seleção.
 	* @access public
-	* @deprecated 1.7.00.000
+	* @deprecated 2.2.00.000
 	*/
 	function getInstancesByName($name)
 	{
+		wf_warn_deprecated_method('wf_instance', 'getByName');
 		$WFInstance = &Factory::getInstance('wf_instance');
 		$preOutput = $WFInstance->getByName($name);
@@ -187,8 +194,9 @@
 	* @return array As instâncias filhas do par instância/atividade atual
 	* @access public
-	* @deprecated 1.7.00.000
+	* @deprecated 2.2.00.000
 	*/
 	function getChildInstances($instanceID = null, $activityID = null)
 	{
+		wf_warn_deprecated_method('wf_instance', 'getChildren');
 		$WFInstance = &Factory::getInstance('wf_instance');
 		$preOutput = $WFInstance->getChildren($instanceID);
@@ -206,8 +214,9 @@
 	* @return mixed Uma array contento as propriedades da instância (no formato "nome_da_propriedade" => "valor"). Ou false em caso de erro.
 	* @access public
-	* @deprecated 1.7.00.000
+	* @deprecated 2.2.00.000
 	*/
 	function getInstanceProperties($instanceID)
 	{
+		wf_warn_deprecated_method('wf_instance', 'getProperties');
 		$WFInstance = &Factory::getInstance('wf_instance');
 		return $WFInstance->getProperties($instanceID);
@@ -219,8 +228,9 @@
 	* @return array Propriedades da instância filha. Array no formato "nome_da_propriedade" => "valor".
 	* @access public
-	* @deprecated 1.7.00.000
+	* @deprecated 2.2.00.000
 	*/
 	function getChildInstanceProperties($instanceID)
 	{
+		wf_warn_deprecated_method('wf_instance', 'getProperties');
 		$WFInstance = &Factory::getInstance('wf_instance');
 		return $WFInstance->getProperties($instanceID);
@@ -333,8 +343,9 @@
 	* @return array As instâncias que satisfazem o critério de seleção.
 	* @access public
-	* @deprecated 1.7.00.000
+	* @deprecated 2.2.00.000
 	*/
 	function getUserInstances($users, $activities = null, $status = null)
 	{
+		wf_warn_deprecated_method('wf_instance', 'getByUser');
 		$WFInstance = &Factory::getInstance('wf_instance');
 		return $WFInstance->getByUser($users, $activities, $status);
@@ -346,8 +357,9 @@
 	* @return bool true caso a propriedade tenha sido alterada com sucesso
 	* @access public
-	* @deprecated 1.7.00.000
+	* @deprecated 2.2.00.000
 	*/
 	function setInstanceProperty($instanceID, $nameProperty, $value)
 	{
+		wf_warn_deprecated_method('wf_instance', 'setProperty');
 		$WFInstance = &Factory::getInstance('wf_instance');
 		return $WFInstance->setProperty($instanceID, $nameProperty, $value);
@@ -362,8 +374,9 @@
 	* @return bool true se o usuário tiver acesso à instância (levando em consideração $writeAccess) ou false caso contrário
 	* @access public
-	* @deprecated 1.7.00.000
+	* @deprecated 2.2.00.000
 	*/
 	function checkUserAccessToInstance($userID, $instanceID, $activityID, $writeAccess = true)
 	{
+		wf_warn_deprecated_method('wf_instance', 'checkUserAccess');
 		$WFInstance = &Factory::getInstance('wf_instance');
 		return $WFInstance->checkUserAccess($userID, $instanceID, $activityID, $writeAccess);