Index: trunk/expressoMail1_2/js/jscode/draw_api_messages.js
===================================================================
--- trunk/expressoMail1_2/js/jscode/draw_api_messages.js	(revision 2800)
+++ trunk/expressoMail1_2/js/jscode/draw_api_messages.js	(revision 3073)
@@ -1,36 +1,2 @@
-// Objeto Map, talvez o ideal fosse adicionar este objeto Ã  Api do egroupware, e carregÃ¡-lo
-// aqui no expressoMail.
-function Map()
-{
-	this.keys = new Array();
-	this.values = new Array();
-}
-
-Map.prototype.add = function(key, value)
-{
-	this.keys.push(key);
-	this.values.push(value);
-};
-
-Map.prototype.get = function(key)
-{
-	result = new Array();
-	for (i = 0; i < this.keys.length; i++)
-	{
-		if (this.keys[i] == key)
-		{
-			result.push(this.values[i]);
-		}
-	}
-
-	if (result.length == 0)
-	{
-		return null;
-	}
-
-	return result;
-};
-
-var translatedFolders = new Map();
 
 function changeLinkState(el,state){
@@ -810,56 +776,3 @@
 	div_address_full.style.display='';
 }
-function draw_footer_box(num_msgs){
-	folder = get_current_folder();
-	var span_R = Element("table_message");	
-	var span_options = Element("span_options");	
-	if(!span_options) {
-		span_options = document.createElement("TD");	
-		span_options.style.fontSize = "12";
-		span_options.id = "span_options";
-		span_R.appendChild(span_options);
-	}
-
-	var change_font_color = 'onmouseover="var last_class = this.className;'+
-		'if (this.className != \'message_options_over\')'+
-				'this.className=\'message_options_active\'; '+
-				'this.onmouseout=function(){this.className=last_class;}"';
-
-				span_options.innerHTML =
-				'<span class="message_options_trash"><span ' + change_font_color + ' title="'+get_lang("Delete")+'" class="message_options" onclick=proxy_mensagens.delete_msgs(\'null\',\'selected\',\'null\')>'+get_lang("Delete")+'</span></span>'+
-				'<span class="message_options_move"><span ' + change_font_color + ' title="'+get_lang("Move")+'" class="message_options" onclick=wfolders.makeWindow(\"\",\"move_to\")>'+get_lang("Move")+'</span></span>'+
-				((expresso_offline)?" ":'<span class="message_options_print"><span ' + change_font_color + ' title="'+get_lang("Print")+'" class="message_options" onclick=print_all()>'+get_lang("Print")+'</span></span>')+
-				//		'<span class="message_options_print"><span ' + change_font_color + ' title="'+get_lang("Print")+'" class="message_options" onclick=print_all()>'+get_lang("Print")+'</span></span>'+
-				((expresso_offline)?" ":'<span class="message_options_export"><span ' + change_font_color + ' title="'+get_lang("Export")+'" class="message_options" onclick="proxy_mensagens.export_all_messages()">'+get_lang("Export")+'</span></span>') +
-				((expresso_offline)?" ":'<span class="message_options_import"><span ' + change_font_color + ' title="'+get_lang("Import")+'" class="message_options" onclick="import_window()">'+get_lang("Import")+'</span></span>');
-				if(preferences.use_local_messages==1 && !expresso_offline)
-				if(proxy_mensagens.is_local_folder(current_folder))
-				span_options.innerHTML += '&nbsp; <span title="'+get_lang("Unarchive")+'" class="message_options" onclick="expresso_local_messages.unarchive_msgs(\''+folder+'\',null)">'+get_lang("Unarchive")+'</span>';
-				else
-				span_options.innerHTML += '&nbsp; <span title="'+get_lang("Archive")+'" class="message_options" onclick="archive_msgs(\''+folder+'\',null)">'+get_lang("Archive")+'</span>';
-				if (use_spam_filter) {
-				if ( current_folder == 'INBOX'+cyrus_delimiter+'Spam' )	{
-				span_options.innerHTML += ' | <span ' + change_font_color + ' title="'+get_lang("Not Spam")+'" class="message_options" onclick="nospam(\'selected\',\'null\',\'null\')">'+get_lang("Not Spam")+'</span>';
-				}
-				else {
-					span_options.innerHTML += ' | <span ' + change_font_color + ' title="'+get_lang("Mark as Spam")+'" class="message_options" onclick="spam(\'null\', \'selected\',\'null\')">'+get_lang("Mark as Spam")+'</span>';
-				}
-				}
-				var span_D = Element("span_D");	
-				if(!span_D){
-					span_D = document.createElement("TD");	
-					span_D.align = "right";
-					span_D.style.fontSize = "12";
-					span_D.id = "span_D";
-					span_R.appendChild(span_D);
-				}
-				span_D.innerHTML = 
-					get_lang("List")+': '+
-					'<span ' + change_font_color + ' id="span_flag_SORTARRIVAL" class="'+(search_box_type == 'ALL' ? 'message_options_over' : 'message_options')+'" title="'+get_lang("All")+'" onclick="if(\'ALL\' == \''+search_box_type+'\') return false;sort_box(\'ALL\',\''+sort_box_type+'\')">'+get_lang("All")+'</span>, '+
-					'<span ' + change_font_color + ' id="span_flag_UNSEEN" class="'+(search_box_type == 'UNSEEN' ? 'message_options_over' : 'message_options')+'" title="'+get_lang("l_unseen")+'" onclick="if(\'UNSEEN\' == \''+search_box_type+'\') return false;sort_box(\'UNSEEN\',\''+sort_box_type+'\')">'+get_lang("l_unseen")+'</span>, '+
-					'<span ' + change_font_color + ' id="span_flag_SEEN" class="'+(search_box_type == 'SEEN' ? 'message_options_over' : 'message_options')+'" title="'+get_lang("l_seen")+'" onclick="if(\'SEEN\' == \''+search_box_type+'\') return false;sort_box(\'SEEN\',\''+sort_box_type+'\')">'+get_lang("l_seen")+'</span>, '+
-					'<span ' + change_font_color + ' id="span_flag_ANSWERED" class="'+(search_box_type == 'ANSWERED' ? 'message_options_over' : 'message_options')+'" title="'+get_lang("l_answered")+'" onclick="if(\'ANSWERED\' == \''+search_box_type+'\') return false;sort_box(\'ANSWERED\',\''+sort_box_type+'\')">'+get_lang("l_answered")+'</span>, '+
-					'<span ' + change_font_color + ' id="span_flag_FLAGGED" class="'+(search_box_type == 'FLAGGED' ? 'message_options_over' : 'message_options')+'" title="'+get_lang("l_important")+'" onclick="if(\'FLAGGED\' == \''+search_box_type+'\') return false;sort_box(\'FLAGGED\',\''+sort_box_type+'\')">'+get_lang("l_important")+'</span>&nbsp;&nbsp;';
-				draw_paging(num_msgs);
-				Element("tot_m").innerHTML = num_msgs;	
-};
+