Index: /trunk/phpgwapi/templates/default/navbar.inc.php
===================================================================
--- /trunk/phpgwapi/templates/default/navbar.inc.php	(revision 2991)
+++ /trunk/phpgwapi/templates/default/navbar.inc.php	(revision 3081)
@@ -214,5 +214,5 @@
 	$var['app_extra_icons_icon'] = '<td width="26" valign="top" align="right" style="zIndex:10000;padding-right:3px;padding-top:10px;">'
 		. $indent . '<a title="' . lang( 'show_more_apps' ) . '" ' . $show_menu_event . '="ypSlideOutMenu.showMenu(\'menu1\')">'
-		. "{$indent}\t" . '<img src="' . $var[ 'img_root' ] . '/extra_icons.png" alt="'. lang( 'show_more_apps' ) .'" border="0" />'
+		. "{$indent}\t" . '<img src="' . $var[ 'img_root' ] . '/down.button.png" alt="'. lang( 'show_more_apps' ) .'" border="0" />'
 		. "{$indent}</a>\n\t\t\t\t\t"
 		. '</td>';
Index: /trunk/expressoMail1_2/js/manifest
===================================================================
--- /trunk/expressoMail1_2/js/manifest	(revision 2594)
+++ /trunk/expressoMail1_2/js/manifest	(revision 3081)
@@ -148,6 +148,6 @@
 	  { "url": "../templates/default/images/arrow_ascendant.gif" },
   	  { "url": "../templates/default/images/answered.gif" },
-  	  { "url": "../templates/default/images/clip.gif" },
-  	  { "url": "../templates/default/images/card.gif" },
+  	  { "url": "../templates/default/images/clip.png" },
+  	  { "url": "../templates/default/images/card.png" },
   	  { "url": "../templates/default/images/close_button.gif" },
   	  { "url": "../templates/default/images/deny.gif" },
Index: /trunk/expressoMail1_2/js/jscode/InfoContact.js
===================================================================
--- /trunk/expressoMail1_2/js/jscode/InfoContact.js	(revision 3073)
+++ /trunk/expressoMail1_2/js/jscode/InfoContact.js	(revision 3081)
@@ -11,5 +11,5 @@
 emInfoContact.prototype.createCard = function(){
 	var pic= new Image(); 
-	pic.src=URL_SERVER + "expressoMail1_2/templates/"+template+"/images/card.gif"; 
+	pic.src=URL_SERVER + "expressoMail1_2/templates/"+template+"/images/card.png"; 
 	card = document.createElement("DIV");
 	card.id = "card_cc";
Index: /trunk/expressoMail1_2/js/jscode/draw_messages.js
===================================================================
--- /trunk/expressoMail1_2/js/jscode/draw_messages.js	(revision 3077)
+++ /trunk/expressoMail1_2/js/jscode/draw_messages.js	(revision 3081)
@@ -339,5 +339,5 @@
 	td.innerHTML = _name.bold() + ', ' + info_msg.udate;
 	if (info_msg.attachment.names.length > 0)
-		td.innerHTML += "&nbsp<img style='cursor:pointer' onclick='javascript:Element(\"option_hide_more_"+id+"\").onclick()' src ='" + URL_SERVER + "expressoMail1_2/templates/"+template+"/images/clip.gif' title='"+info_msg.attachment.names+"'>";
+		td.innerHTML += "&nbsp<img style='cursor:pointer' onclick='javascript:Element(\"option_hide_more_"+id+"\").onclick()' src ='" + URL_SERVER + "expressoMail1_2/templates/"+template+"/images/clip.png' title='"+info_msg.attachment.names+"'>";
 
 	if(typeof(info_msg.signature) != 'undefined')
Index: /trunk/expressoMail1_2/js/jscode/manifest
===================================================================
--- /trunk/expressoMail1_2/js/jscode/manifest	(revision 2517)
+++ /trunk/expressoMail1_2/js/jscode/manifest	(revision 3081)
@@ -149,5 +149,5 @@
   	  { "url": "../templates/default/images/answered.gif" },
   	  { "url": "../templates/default/images/clip.gif" },
-  	  { "url": "../templates/default/images/card.gif" },
+  	  { "url": "../templates/default/images/card.png" },
   	  { "url": "../templates/default/images/close_button.gif" },
   	  { "url": "../templates/default/images/deny.gif" },
Index: /trunk/expressoMail1_2/js/base/draw_api_folders.js
===================================================================
--- /trunk/expressoMail1_2/js/base/draw_api_folders.js	(revision 3073)
+++ /trunk/expressoMail1_2/js/base/draw_api_folders.js	(revision 3081)
@@ -933,5 +933,5 @@
 	td_element2.setAttribute("width", "2%");
 	if (headers_msgs.attachment && headers_msgs.attachment.number_attachments > 0)
-		td_element2.innerHTML = '<img src ="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/clip.gif" title="' + url_decode(headers_msgs.attachment.names) + '">';
+		td_element2.innerHTML = '<img src ="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/clip.png" title="' + url_decode(headers_msgs.attachment.names) + '">';
 
 	td_element21 = document.createElement("TD");
@@ -945,5 +945,5 @@
 		{
 			if (url_decode(attach_name[item]) != 'smime.p7s' && url_decode(attach_name[item]) != 'smime.p7m'){
-				td_element21.innerHTML = '<img src ="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/clip.gif" title="' + url_decode(attach_name[item]) + '">';
+				td_element21.innerHTML = '<img src ="' + URL_SERVER + 'expressoMail1_2/templates/'+template+'/images/clip.png" title="' + url_decode(attach_name[item]) + '">';
 				break;
 			}
Index: /trunk/expressoMail1_2/js/base/main.js
===================================================================
--- /trunk/expressoMail1_2/js/base/main.js	(revision 3079)
+++ /trunk/expressoMail1_2/js/base/main.js	(revision 3081)
@@ -1417,5 +1417,5 @@
 		title = title.substring(0, parseInt(resize)*0.08);
 
-	Element("border_id_" + new_border_ID).innerHTML = "<table width=100% border=0 cellspacing=0 cellpadding=0><tr><td id=font_border_id_" + new_border_ID +" class='font-menu' width=*>" +title + "</td><td width=1px><img onmousedown='javascript:return false' style='cursor:pointer' onclick=delete_border('" + new_border_ID + "','false') src='"+URL_SERVER+"expressoMail1_2/templates/"+template+"/images/close_button.gif'></td></tr></table>";
+	Element("border_id_" + new_border_ID).innerHTML = "<table width=100% border=0 cellspacing=0 cellpadding=0><tr><td id=font_border_id_" + new_border_ID +" class='font-menu' width=*>" +title + "</td><td width=1px><img onmousedown='javascript:return false' style='cursor:pointer' onclick=delete_border('" + new_border_ID + "','false') src='"+URL_SERVER+"expressoMail1_2/templates/"+template+"/images/close_button.png'></td></tr></table>";
 	expresso.connector.loadScript('wfolders');
 	return new_border_ID; //Preciso retornar o ID da nova mensagem.
Index: /trunk/expressoMail1_2/js/base/abas.js
===================================================================
--- /trunk/expressoMail1_2/js/base/abas.js	(revision 3073)
+++ /trunk/expressoMail1_2/js/base/abas.js	(revision 3081)
@@ -161,5 +161,5 @@
 		borderTitle = borderTitle.substring(0, resize*0.08);
 
-	td.innerHTML = "<table width=100% border=0 cellspacing=0 cellpadding=0><tr><td id=font_border_id_" + ID+" class='font-menu' width=*>" + borderTitle + "</td><td width=1px><img onmousedown='javascript:return false' style='cursor:pointer' onclick=delete_border('" + ID + "','false') src='"+URL_SERVER+"expressoMail1_2/templates/"+template+"/images/close_button.gif'></td></tr></table>";
+	td.innerHTML = "<table width=100% border=0 cellspacing=0 cellpadding=0><tr><td id=font_border_id_" + ID+" class='font-menu' width=*>" + borderTitle + "</td><td width=1px><img onmousedown='javascript:return false' style='cursor:pointer' onclick=delete_border('" + ID + "','false') src='"+URL_SERVER+"expressoMail1_2/templates/"+template+"/images/close_button.png'></td></tr></table>";
 
 	bb = document.getElementById("border_blank");