Index: /trunk/jabberit_messenger/jmessenger/xsl/chatRoom.xsl
===================================================================
--- /trunk/jabberit_messenger/jmessenger/xsl/chatRoom.xsl	(revision 3082)
+++ /trunk/jabberit_messenger/jmessenger/xsl/chatRoom.xsl	(revision 3086)
@@ -11,5 +11,5 @@
 			<div>
 				<div id="{$idChatRoom}" style="height:300px; width:328px; overflow-y:scroll;"></div>
-				<div id="{$idChatRoom}__participants" style="border:1px dashed #cecece; float:right; position: absolute; top:0px; left:330px; width:150px; height:380px; overflow-y: auto;"></div>
+				<div id="{$idChatRoom}__participants" style="float:right; position: absolute; top:0px; left:330px; width:150px; height:380px; overflow-y: auto;"></div>
 				<div style="margin:2px;">
 					<textarea id="{$jidTo}__sendRoomChat" style="height:80px; width:325px;"></textarea>
Index: /trunk/jabberit_messenger/jmessenger/js/strophe.js
===================================================================
--- /trunk/jabberit_messenger/jmessenger/js/strophe.js	(revision 3013)
+++ /trunk/jabberit_messenger/jmessenger/js/strophe.js	(revision 3086)
@@ -572,4 +572,5 @@
         DISCO_ITEMS: "http://jabber.org/protocol/disco#items",
         MUC: "http://jabber.org/protocol/muc",
+        MUC_USER: "http://jabber.org/protocol/muc#user",
         SASL: "urn:ietf:params:xml:ns:xmpp-sasl",
         STREAM: "http://etherx.jabber.org/streams",
Index: /trunk/jabberit_messenger/jmessenger/js/trophyim.js
===================================================================
--- /trunk/jabberit_messenger/jmessenger/js/trophyim.js	(revision 3082)
+++ /trunk/jabberit_messenger/jmessenger/js/trophyim.js	(revision 3086)
@@ -629,10 +629,15 @@
 		return true;
     },
+    
     /** Function: onPresence
      *
      *  Presence handler
      */
+    
     onPresence : function(msg)
 	{
+    	// Get Presence ChatRoom
+    	TrophyIM.onPresenceChatRoom(msg);
+    	
     	var type		= msg.getAttribute('type') ? msg.getAttribute('type') : 'available';
         var show 		= msg.getElementsByTagName('show').length ? Strophe.getText(msg.getElementsByTagName('show')[0]) : type;
@@ -644,4 +649,65 @@
         return true;
     },
+
+    /** Function : onPresenceChatRoom
+     * 
+     * 
+     */
+    
+    onPresenceChatRoom : function(msg)
+    {
+    	var xquery = msg.getElementsByTagName("x");
+        
+        if ( xquery.length > 0 )
+        {
+        	for ( var i = 0; i < xquery.length; i++ )
+            {
+                var xmlns = xquery[i].getAttribute("xmlns");
+                
+                if( xmlns.indexOf("http://jabber.org/protocol/muc#user") == 0 )
+                {
+                	var nameChatRoom = xquery[i].parentNode.getAttribute('from')
+                		nameChatRoom = Strophe.getBareJidFromJid(nameChatRoom);
+
+                	var nickName = xquery[i].firstChild.getAttribute('jid');
+            			nickName = Strophe.getBareJidFromJid( nickName );
+            			nickName = nickName.substring(0, nickName.indexOf('@'));
+                	
+                	var type = xquery[i].parentNode.getAttribute('type') ? xquery[i].parentNode.getAttribute('type') : 'available' ;
+                	
+                	var show = ( xquery[i].parentNode.firstChild.firstChild != null ) ? xquery[i].parentNode.firstChild.firstChild.nodeValue : type ;
+                	
+                	if ( Strophe.getBareJidFromJid( xquery[i].firstChild.getAttribute('jid') ) == Strophe.getBareJidFromJid( TrophyIM.connection.jid ) )
+                		show = loadscript.getStatusUserIM();
+                	
+                	var _UserChatRoom = document.createElement("div");
+                		_UserChatRoom.id = nameChatRoom + "_UserChatRoom__" + xquery[i].firstChild.getAttribute('jid');
+                		_UserChatRoom.setAttribute("style","padding-left:18px ; margin:3px 0px 0px 2px; background: url('"+path_jabberit+"templates/default/images/" + show + ".gif')no-repeat center left");
+                		_UserChatRoom.appendChild( document.createTextNode(nickName) );
+                
+                	var nodeUser = document.getElementById( nameChatRoom + "_UserChatRoom__" + xquery[i].firstChild.getAttribute('jid'));		
+                		
+                	if( nodeUser == null )
+                	{
+                		nameChatRoom = document.getElementById(nameChatRoom + '__roomChat__participants');
+                		nameChatRoom.appendChild( _UserChatRoom );
+                	}
+                	else
+                	{
+                		if( type == 'unavailable' )
+                		{
+                			nodeUser.parentNode.removeChild( nodeUser );
+                		}
+                		else if( show )
+                		{
+                			var _UserChatRoom = document.getElementById( nameChatRoom + "_UserChatRoom__" + xquery[i].firstChild.getAttribute('jid') )
+                			
+                			_UserChatRoom.setAttribute("style","padding-left:18px ; margin:3px 0px 0px 2px; background: url('"+path_jabberit+"templates/default/images/" + show + ".gif')no-repeat center left");	
+                		}
+                	}
+                }
+            }
+        }
+    },    
     
     /** Function: onMessage
@@ -649,4 +715,5 @@
      *  Message handler
      */
+    
     onMessage : function(msg)
     {
Index: /trunk/jabberit_messenger/jmessenger/js/jscode/loadIM.js
===================================================================
--- /trunk/jabberit_messenger/jmessenger/js/jscode/loadIM.js	(revision 3082)
+++ /trunk/jabberit_messenger/jmessenger/js/jscode/loadIM.js	(revision 3086)
@@ -441,4 +441,9 @@
 	}
 	
+	function getStatusUserIM()
+	{
+		return statusUserIM;
+	}
+	
 	function getStatusMessage()
 	{
@@ -1496,4 +1501,5 @@
 	loadIM.prototype.disabledNotificationNewUsers	= disabledNotificationNewUsers;
 	loadIM.prototype.enabledNotificationNewUsers	= enabledNotificationNewUsers;	
+	loadIM.prototype.getStatusUserIM	= getStatusUserIM;
 	loadIM.prototype.getIsIE			= getIsIE;
 	loadIM.prototype.getPhotoUser		= getPhotoUser;