Index: trunk/phpgwapi/templates/default/footer.tpl
===================================================================
--- trunk/phpgwapi/templates/default/footer.tpl	(revision 2623)
+++ trunk/phpgwapi/templates/default/footer.tpl	(revision 3087)
@@ -1,11 +1,5 @@
 		<!-- BEGIN footer.tpl -->
-									</td>
-								</tr>
-							</table>
 						</div>
-					</td>
 					<!-- Applicationbox Column -->
-				</tr>
-			</table>
 		</div>
 		<!-- END footer.tpl -->
Index: trunk/phpgwapi/templates/default/head.inc.php
===================================================================
--- trunk/phpgwapi/templates/default/head.inc.php	(revision 3083)
+++ trunk/phpgwapi/templates/default/head.inc.php	(revision 3087)
@@ -49,5 +49,4 @@
 		'font_family'    => $GLOBALS[ 'phpgw_info' ][ 'theme' ][ 'font' ],
 		'website_title'  => "{$GLOBALS[ 'phpgw_info' ][ 'server' ][ 'site_title' ]} $app",
-		'body_tags'      => "{$bodyheader} {$GLOBALS[ 'phpgw' ] -> common -> get_body_attribs()}",
 		'css'            => $GLOBALS[ 'phpgw' ] -> common -> get_css( ),
 		'java_script'    => $GLOBALS[ 'phpgw' ] -> common -> get_java_script( ),
Index: trunk/phpgwapi/templates/default/head.tpl
===================================================================
--- trunk/phpgwapi/templates/default/head.tpl	(revision 2991)
+++ trunk/phpgwapi/templates/default/head.tpl	(revision 3087)
@@ -11,11 +11,9 @@
 		<meta name="author" content="ExpressoLivre http://www.expressolivre.org" />
 		<meta name="robots" content="none" />
-		<meta http-equiv="Default-Style" content="eGroupWareStyle" />
 		<link rel="icon" href="{img_icon}" type="image/x-ico" />
 		<link rel="shortcut icon" href="{img_shortcut}" />
-{css}{pngfix}{java_script}
+{css}{java_script}
 	</head>
-	<!-- we don't need body tags anymore, do we?) we do!!! onload!! LK -->
-	<body {body_tags}>{content}</body>
+	<body style="overflow: hidden">{content}</body>
 </html>
 <!-- END head -->
Index: trunk/phpgwapi/templates/default/navbar.inc.php
===================================================================
--- trunk/phpgwapi/templates/default/navbar.inc.php	(revision 3081)
+++ trunk/phpgwapi/templates/default/navbar.inc.php	(revision 3087)
@@ -212,9 +212,9 @@
 
 	$var['app_extra_icons_div'] = $app_extra_icons_div;
-	$var['app_extra_icons_icon'] = '<td width="26" valign="top" align="right" style="zIndex:10000;padding-right:3px;padding-top:10px;">'
+	$var['app_extra_icons_icon'] = '<span style="zIndex:10000;padding-right:3px;padding-top:10px;">'
 		. $indent . '<a title="' . lang( 'show_more_apps' ) . '" ' . $show_menu_event . '="ypSlideOutMenu.showMenu(\'menu1\')">'
 		. "{$indent}\t" . '<img src="' . $var[ 'img_root' ] . '/down.button.png" alt="'. lang( 'show_more_apps' ) .'" border="0" />'
 		. "{$indent}</a>\n\t\t\t\t\t"
-		. '</td>';
+		. '</span>';
 
 
@@ -335,16 +335,11 @@
 
 				$GLOBALS['celepar_tpl']->pparse('out','sidebox_hide_footer');
-
-				$var['sideboxcolstart']='';
-
 				$GLOBALS['celepar_tpl']->set_var($var);
 				$GLOBALS['celepar_tpl']->pparse('out','appbox');
 				$var['remove_padding'] = 'style="padding-left:0px;"';
-				$var['sideboxcolend'] = '';
 			}
 			else
 			{
 				$var['menu_link'] = '';
-				$var['sideboxcolstart'] = '<td id="tdSidebox" valign="top">';
 				$var['remove_padding'] = '';
 				$GLOBALS['celepar_tpl']->set_var($var);
@@ -353,6 +348,4 @@
 				display_sidebox('',$menu_title,$file);
 				$GLOBALS['phpgw']->hooks->single('sidebox_menu',$GLOBALS['phpgw_info']['flags']['currentapp']);
-
-				$var['sideboxcolend'] = '</td>';
 			}
 
Index: trunk/phpgwapi/templates/default/navbar.tpl
===================================================================
--- trunk/phpgwapi/templates/default/navbar.tpl	(revision 3085)
+++ trunk/phpgwapi/templates/default/navbar.tpl	(revision 3087)
@@ -41,48 +41,43 @@
 <!-- BEGIN appbox -->
 		<div id="divSubContainer">
-			<table width="100%" cellspacing="0" cellpadding="0" border="0">
-				<tr>
-				{sideboxcolstart}
 <!-- END appbox -->
 
 <!-- BEGIN sidebox_hide_header -->
-		<script type="text/javascript">
-			new ypSlideOutMenu("menu2", "right", 0, 165, 160, 200)
-		</script>
-		<div id="sideboxdragarea" style="position:absolute;left:0px;top:175px">
-			<a href="javascript:" {show_menu_event}="ypSlideOutMenu.showMenu('menu2')" onmouseover="//ypSlideOutMenu.showMenu('menu2')" title="{lang_show_menu}">
-				<img alt="dragarea" src="{img_root}/dragarea_right.png" />
-			</a>
-		</div>
-		<div id="menu2Container">
-			<div id="menu2Content" style="position: relative; left: 0; text-align: left;">
-				<table cellspacing="0" cellpadding="0" border="0">
-					<tr>
-						<td>
-							<div style="background-color:#ffffff;border: #9c9c9c 1px solid;padding:5px;">
-<!-- END sidebox_hide_header -->
+				<script type="text/javascript">
+					new ypSlideOutMenu("menu2", "right", 0, 165, 160, 200)
+				</script>
+				<div id="sideboxdragarea" style="position:absolute;left:0px;top:175px">
+					<a href="javascript:" {show_menu_event}="ypSlideOutMenu.showMenu('menu2')" onmouseover="//ypSlideOutMenu.showMenu('menu2')" title="{lang_show_menu}">
+						<img alt="dragarea" src="{img_root}/dragarea_right.png" />
+					</a>
+				</div>
+				<div id="menu2Container">
+					<div id="menu2Content" style="position: relative; left: 0; text-align: left;">
+						<table cellspacing="0" cellpadding="0" border="0">
+							<tr>
+								<td>
+									<div style="background-color:#ffffff;border: #9c9c9c 1px solid;padding:5px;">
+		<!-- END sidebox_hide_header -->
 
-<!-- BEGIN sidebox_hide_footer -->
-							</div>
-						</td>
-						<td style="padding-top:10px" valign="top">
-							<a href="javascript:" onclick="ypSlideOutMenu.hide('menu2')" >
-								<img alt="dragarea" src="{img_root}/dragarea_left.png" align="right" />
-							</a>
-						</td>
-					</tr>
-				</table>
-			</div>
-		</div>
-		<script type="text/javascript">
-			initBar(GetCookie("showHeader"));
-		</script>
+		<!-- BEGIN sidebox_hide_footer -->
+									</div>
+								</td>
+								<td style="padding-top:10px" valign="top">
+									<a href="javascript:" onclick="ypSlideOutMenu.hide('menu2')" >
+										<img alt="dragarea" src="{img_root}/dragarea_left.png" align="right" />
+									</a>
+								</td>
+							</tr>
+						</table>
+					</div>
+				</div>
+				<script type="text/javascript">
+					initBar(GetCookie("showHeader"));
+				</script>
 <!-- END sidebox_hide_footer -->
 
 <!-- BEGIN navbar_footer -->
-{sideboxcolend}
-					<!-- End Sidebox Column -->
-					<!-- Applicationbox Column -->
-					<td id="tdAppbox" valign="top" {remove_padding}>
+<!-- End Sidebox Column -->
+<!-- Applicationbox Column -->
 						<div id="divAppboxHeader">{current_app_title}</div>
 						<div id="divAppbox" class="divAppbox">